diff --git a/ext/nokogiri/xml_node_set.c b/ext/nokogiri/xml_node_set.c
index feb8ccebe..3fbe23a8b 100644
--- a/ext/nokogiri/xml_node_set.c
+++ b/ext/nokogiri/xml_node_set.c
@@ -319,7 +319,7 @@ static VALUE slice(int argc, VALUE *argv, VALUE self)
  *
  * Return this list as an Array
  */
-static VALUE to_array(VALUE self, VALUE rb_node)
+static VALUE to_array(VALUE self)
 {
   xmlNodeSetPtr node_set ;
   VALUE list;
